image: maven:3.6.1-jdk-11

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=maven.repository -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN"
  
cache:
    key: "$CI_COMMIT_REF_NAME"
    paths:
        - maven.repository/
        - target/

before_script:
    - export MAVEN_USER_HOME=`pwd`/.maven
        
maven-install:
    stage: build
    script:
#        - mkdir openapi
#        - cd openapi
#        - git clone https://github.com/OpenAPITools/openapi-generator.git
#        - cd openapi-generator
#        - mvn install -DskipTests
#        - cd ..
#        - cd ..
        - mvn install
